group "GenericCommodityAttributes.model"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | 7 elements
Defined: | globally in fpml-generic-5-5.xsd; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
grade*, settlementPeriods*, loadType?, quantity?, quantityFrequency?, fixedPrice?, interconnectionPoint?

Content Model Elements (7):

  fixedPrice (defined in GenericCommodityAttributes.model group),
  grade (defined in GenericCommodityAttributes.model group),
  interconnectionPoint (defined in GenericCommodityAttributes.model group),
  loadType (defined in GenericCommodityAttributes.model group),
  quantity (defined in GenericCommodityAttributes.model group),
  quantityFrequency (defined in GenericCommodityAttributes.model group),
  settlementPeriods (defined in GenericCommodityAttributes.model group)

Known Usage Locations

- In definitions of global complexTypes (1):
  GenericProduct

XML Source (w/o annotations (7); see within schema source)

<xsd:group name="GenericCommodityAttributes.model"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="grade" type="GenericCommodityGrade"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriods" type="GenericCommodityDeliveryPeriod"/> <xsd:element minOccurs="0" name="loadType" type="LoadTypeEnum"/> <xsd:element minOccurs="0" name="quantity" type="xsd:decimal"/> <xsd:element minOccurs="0" name="quantityFrequency" type="CommodityQuantityFrequency"/> <xsd:element minOccurs="0" name="fixedPrice" type="FixedPrice"/> <xsd:element minOccurs="0" name="interconnectionPoint" type="InterconnectionPoint"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 7/7)
fixedPrice

  Type: | FixedPrice, complex content

  Fixed price on which fixed payments are based.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixedPrice" type="FixedPrice"/>

grade

  Type: | GenericCommodityGrade, simple content

  The grade(s) of material which can be delivered in seller's option.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="grade" type="GenericCommodityGrade"/>

interconnectionPoint

  Type: | InterconnectionPoint, simple content

  Identification of the border(s) or border point(s) of a transportation contract.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="interconnectionPoint" type="InterconnectionPoint"/>

loadType

  Type: | LoadTypeEnum, simple content

  LoadType is a summary of the full description of the settlement periods with respect to the region. Used for describing Electricity delivery schedules (e.g. Base, Peak, Off-Peak, Custom).
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Base" | - | Base
  "Peak" | - | Peak
  "OffPeak" | - | Off-Peak
  "BlockHours" | - | Block Hours
  "Custom" | - | Anything that does not fall under the predefined standard categories

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="loadType" type="LoadTypeEnum"/>

quantity

  Type: | xsd:decimal, predefined, simple content

  The periodic quantity. Used in conjunction with the quantityFrequency to define quantity per period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quantity" type="xsd:decimal"/>

quantityFrequency

  Type: | CommodityQuantityFrequency, simple content

  The frequency at which the Notional Quantity is deemed to apply for purposes of calculating the Total Notional Quantity.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quantityFrequency" type="CommodityQuantityFrequency"/>

settlementPeriods

  Type: | GenericCommodityDeliveryPeriod, complex content

  Specifies the delivery time periods (normally used for electricity swaps).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriods" type="GenericCommodityDeliveryPeriod"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.